# Get Payload Hash

This method retrieves the calculated hash of a payload using various supported hashing algorithms. The client must specify the desired hash type through the `type` query string parameter.

### **Supported Hash Types:**

* `SHA256`
* `SHA384`
* `SHA512`

{% tabs %}
{% tab title="cUrl" %}

```
POST /
curl -X POST 'https://api.firstoken.co/proxy/hash/?type=SHA256' \
--header 'ft-access-key : YOUR_ACCESS_KEY' \
--data-raw '{
    "chd": {
        "holder": "{{4242428XsEs24242:detokenize | extract:name}}",
        "number": "{{4242428XsEs24242:detokenize | extract:card}}",
        "csc": "{{4242428XsEs24242:detokenize | extract:card | encrypt}}",
        "holderToken": "Yuri",
        "bin": "401200",
        "numberToken": "{{4242428XsEs24242:detokenize | extract:token }}",
        "numberLength": 16,
        "cscToken": "737",
        "cscLength": 3,
        "expiration": {
            "month": "{{4242428XsEs24242:detokenize | extract:expiration | date:MM}}",
            "year": "{{4242428XsEs24242:detokenize | extract:expiration | date:YY}}"
        },
        "document": "",
        "token": null
}'
```

{% endtab %}

{% tab title="Headers of the request" %}

* **ft-access-key**: string\
  This is the authentication header for the request.\
  Required: true
  {% endtab %}

{% tab title="Params" %}

* **type**: *string*\
  Type of hash algorithms that you need to use
  {% endtab %}
  {% endtabs %}

<details>

<summary>Example of Response</summary>

```json
{
    "status": 200,
    "data": {
        "hashValue": "PZ6/iPaSDMbL7+uWUQwy6IFrI78tqfeXRngthxgboOA=",
        "hashType": "SHA256"
    }
}
```

</details>
